<?php
add_action( 'after_setup_theme', 'widodo_setup' );

if ( ! function_exists( 'widodo_setup' ) ):
/**
 * @uses add_theme_support() To add support for post thumbnails and automatic feed links.
 * @uses register_nav_menus() To add support for navigation menus.
 * @uses add_custom_background() To add support for a custom background.
 * @uses add_editor_style() To style the visual editor.
 * @uses load_theme_textdomain() For translation/localization support.
 * @uses add_custom_image_header() To add support for a custom header.
 * @uses register_default_headers() To register the default custom header images provided with the theme.
 * @uses set_post_thumbnail_size() To set a custom post thumbnail size.
 */
function widodo_setup() {

	add_editor_style();
//	add_custom_image_header();
	
	// Post Format support. You can also use the legacy "gallery" or "asides" (note the plural) categories.
	add_theme_support( 'post-formats', array( 'aside', 'gallery' ) );
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'automatic-feed-links' );
	register_nav_menus( array(
		'primary' => __( 'Primary Navigation', 'widodo' ),
	) );
	add_custom_background();
}
endif;

function home_page_menu_args( $args ) {
$args['show_home'] = true;
return $args;
}
add_filter( 'wp_page_menu_args', 'home_page_menu_args' );

function do_admin_style() {
?>
<style type="text/css">
/* By WPGPL.com */
.dp50 {width:50%; float:left; display: inline; *margin-right:-1px;}
</style>
<?php
}

add_action('admin_head','do_admin_style');

// If Twitter Featured Enabled
if(get_option('ppm_twitter_stat')):
//add_action('wp_footer', 'do_twitter');
endif; 

function the_twitter() { ?>
<div class="twit boxr">
<h3><span><a class='twitter-account' href='http://twitter.com/#!/<?php if(!get_option('ppm_twitter')) { echo 'twitter'; } else { printf(get_option('ppm_twitter')); } ?>'>@<?php if(!get_option('ppm_twitter')) { echo 'twitter'; } else { printf(get_option('ppm_twitter')); } ?></a></span></h3>
<script src='http://widgets.twimg.com/j/2/widget.js'></script>
<script>
new TWTR.Widget({
  version: 2,
  type: 'profile',
  rpp: 4,
  interval: 6000,
  width: 300,
  height: 300,
  theme: {
    shell: {
      background: '#fff',
      color: '#FB1823'
    },
    tweets: {
      background: '#fff',
      color: '#111',
      links: '#32CCFF'
    }
  },
  features: {
    scrollbar: false,
    loop: true,
    live: true,
    hashtags: true,
    timestamp: true,
    avatars: false,
    behavior: 'default'
  }
}).render().setUser('<?php if(!get_option('ppm_twitter')) { echo 'twitter'; } else { printf(get_option('ppm_twitter')); } ?>').start();
</script>
<a href='http://www.twitter.com/<?php if(!get_option('ppm_twitter')) { echo 'twitter'; } else { printf(get_option('ppm_twitter')); } ?>'><img alt='Follow us on Twitter' src='http://twitter-badges.s3.amazonaws.com/follow_us-b.png'/></a>
<br class="clear" />
</div>
<?php
}

// If Flickr Featured Enabled
if(get_option('ppm_flickr_stat')):
add_action('wp_head', 'do_flickr');
endif; 

function do_flickr() { ?>
<script type="text/javascript">
jQuery(document).ready(function($) {
	var id = '<?php if(!get_option('ppm_flickr')) { echo '35591378@N03'; } else { printf(get_option('ppm_flickr')); } ?>';
    var total = 5;
    flickr(id,total);

});
</script>
<?php
} 

function the_flickr() { ?>
<div id="flickr-stream">
            
    <h3 class="lite"><span class="flick">Flick</span><span class="r">r</span> Stream</h3>
    <hr />
    <div class="clear"></div>
    <div id="flickr">
        <noscript>Your message for people w/o javascript enabled goes here.</noscript>
    </div>

</div>  
<?php
}

function trim_word( $words, $howmany = 1){
	$x = explode(" ", $words);
	if(count( $x) <=$howmany ){
		return $words;
	} else {
		return implode(" ", array_slice( $x, 0, $howmany));
	}
}

function J_ShowRecentPosts() {?>
<?php if(is_home()): ?>
<li class="latestpost">
   <h3 class="lite"><span><?php _e('Latest Posts'); ?></span></h3>
<ul>
<?php 
$sticky=get_option('sticky_posts');
$args=array(
   'caller_get_posts'=>1,
   'post__not_in' => $sticky,
   'showposts'=>5,
'offset'=>7
   );
$my_query = new WP_Query($args);
  while ($my_query->have_posts()) : $my_query->the_post();
  $do_not_duplicate = $post->ID; ?>
    <!-- Do stuff... -->
<li class="aggregrate" style="margin-bottom: 10px;">
<?php if(function_exists('get_the_image_link')): 
echo get_the_image_link(array('Thumbnail','My Thumbnail'),'thumbnail'); 
endif;
?>
<h3><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h3>
<p class="excerpt">
<?php
$content = get_the_excerpt();
			$excerpt_length = 28;
			$words = explode(' ', $content, $excerpt_length + 1);
			if(count($words) > $excerpt_length) :
				array_pop($words);
				array_push($words, '...');
				$content = implode(' ', $words);
			endif;
$content = strip_shortcodes($content);
$content = str_replace(']]>', ']]&gt;', $content);
$content = strip_tags($content);
			echo $content;
?>
</p>
      
</li>
  <?php endwhile; ?>
</ul>
</li>
<?php else: ?>
<li class="latestpost">
   <h3 class="lite"><span><?php _e('Latest Posts'); ?></span></h3>
<ul>
<?php 
$args=array(
   'caller_get_posts'=>1,
   'post__not_in' => $sticky,
   'showposts'=>5,
   );
$my_query = new WP_Query($args);
  while ($my_query->have_posts()) : $my_query->the_post();
  $do_not_duplicate = $post->ID; ?>
    <!-- Do stuff... -->
<li class="aggregrate" style="margin-bottom: 10px;">
<?php if(function_exists('get_the_image_link')): 
echo get_the_image_link(array('Thumbnail','My Thumbnail'),'thumbnail'); 
endif;
?> 
<h3><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h3>
<p class="excerpt">
<?php
$content = get_the_excerpt();
			$excerpt_length = 20;
			$words = explode(' ', $content, $excerpt_length + 1);
			if(count($words) > $excerpt_length) :
				array_pop($words);
				array_push($words, '...');
				$content = implode(' ', $words);
			endif;
$content = strip_shortcodes($content);
$content = str_replace(']]>', ']]&gt;', $content);
$content = strip_tags($content);
			echo $content;
?>
</p>
      
</li>
  <?php endwhile; ?>
</ul>
</li>
<?php endif; ?>
<?php }	

function J_ShowRecentPosts2() {?>
<?php if(is_home()): ?>
<li class="latestpost">
   <h3 class="lite"><span><?php _e('Latest Posts'); ?></span></h3>
<ul>
<?php 
$sticky=get_option('sticky_posts');
$args=array(
   'caller_get_posts'=>1,
   'post__not_in' => $sticky,
   'showposts'=>5,
'offset'=>7
   );
$my_query = new WP_Query($args);
  while ($my_query->have_posts()) : $my_query->the_post();
  $do_not_duplicate = $post->ID; ?>
    <!-- Do stuff... -->
<li class="aggregrate" style="margin-bottom: 10px;">
<h3><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h3>
<p class="excerpt">
<?php
$content = get_the_excerpt();
			$excerpt_length = 28;
			$words = explode(' ', $content, $excerpt_length + 1);
			if(count($words) > $excerpt_length) :
				array_pop($words);
				array_push($words, '...');
				$content = implode(' ', $words);
			endif;
$content = strip_shortcodes($content);
$content = str_replace(']]>', ']]&gt;', $content);
$content = strip_tags($content);
			echo $content;
?>
</p>
      
</li>
  <?php endwhile; ?>
</ul>
</li>
<?php else: ?>
<li class="latestpost">
   <h3 class="lite"><span><?php _e('Latest Posts'); ?></span></h3>
<ul>
<?php 
$args=array(
   'caller_get_posts'=>1,
   'post__not_in' => $sticky,
   'showposts'=>5,
   );
$my_query = new WP_Query($args);
  while ($my_query->have_posts()) : $my_query->the_post();
  $do_not_duplicate = $post->ID; ?>
    <!-- Do stuff... -->
<li class="aggregrate" style="margin-bottom: 10px;">
<h3><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h3>
<p class="excerpt">
<?php
$content = get_the_excerpt();
			$excerpt_length = 20;
			$words = explode(' ', $content, $excerpt_length + 1);
			if(count($words) > $excerpt_length) :
				array_pop($words);
				array_push($words, '...');
				$content = implode(' ', $words);
			endif;
$content = strip_shortcodes($content);
$content = str_replace(']]>', ']]&gt;', $content);
$content = strip_tags($content);
			echo $content;
?>
</p>
      
</li>
  <?php endwhile; ?>
</ul>
</li>
<?php endif; ?>
<?php }	


load_theme_textdomain('grid');

// Theme Variable
$totale = get_option('ppm_totale');

// WIDEGT OPTIONS
if ( function_exists('register_sidebar') ) {
	register_sidebar(array(
		'name'=>'Sidebar',
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h3 class="widgettitle lite"><span>',
        'after_title' => '</span></h3>'
	));
	register_sidebar(array(
		'name'=>'Footer Left',
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h3 class="widgettitle lite"><span>',
        'after_title' => '</span></h3>'
	));
	register_sidebar(array(
		'name'=>'Footer Center',
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h3 class="widgettitle lite"><span>',
        'after_title' => '</span></h3>'
	));
	register_sidebar(array(
		'name'=>'Footer Right',
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h3 class="widgettitle lite"><span>',
        'after_title' => '</span></h3>'
	));
}


/* WordPress 2.7 and Later on */
add_filter('comments_template', 'legacy_comments');
function legacy_comments($file) {
	if(!function_exists('wp_list_comments')) 	$file = TEMPLATEPATH . '/old.comments.php';
	return $file;
}

function list_pings($comment, $args, $depth) {
       $GLOBALS['comment'] = $comment;
?>
<li id="comment-<?php comment_ID(); ?>">
  <?php comment_author_link(); ?>
  <span>
  <?php comment_date('d m y'); ?>
  </span>
  <?php } 

function list_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
<li <?php comment_class(); ?> id="comment-<?php comment_ID() ?>">
  <div id="div-comment-<?php comment_ID() ?>" class="thechild">
      <?php echo get_avatar($comment, 36); ?>
        
    <div class="comment-author vcard by"><?php printf('<span class="fn">%s</span>', get_comment_author_link()) ?> </div>
      <div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>">#<?php global $cmntCnt; ?><?php echo $cmntCnt+1; ?><?php $cmntCnt = $cmntCnt + 1; ?></a> <?php printf('%1$s %2$s', get_comment_date('d F Y'),  get_comment_time('H:i')) ?>
        <?php edit_comment_link(__('(e)','grid'),'  ','') ?>
      </div>
    
      <?php if ($comment->comment_approved == '0') : ?>
      <em class="com-info">
      <?php _e('Your comment is awaiting moderation.') ?>
      </em> <br />
      <?php endif; ?>
      <div class="texe"><?php comment_text() ?></div>
      <div class="reply">
       &#8212; <?php comment_reply_link(array_merge( $args, array('add_below' => 'div-comment', 'depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>
<div class="clear"></div>
    </div>
<div class="clear"></div>

</li>
<?php
        }
function catch_that_image() {
  global $post, $posts;
  $first_img = '';
  ob_start();
  ob_end_clean();
  $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
  $first_img = $matches [1] [0];

  if(empty($first_img)){ //Defines a default image
//    $first_img = bloginfo('template_directory') . "/images/no-image200.jpg";
  }
  return $first_img;
}


// TWEAK to make it compatible with WordPress.org
// Overides default FULL SIZE image size
$GLOBALS['content_width'] = 620;

// Overides default THUMBNAIL image size
function custom_thumbnail_size() {
return 150; // or whatever number of pixels you want
}
add_filter('wp_thumbnail_max_side_length','custom_thumbnail_size');

// Post Attachment image function. Direct link to file. 
function the_post_image($size = 'medium') {
	$id = get_the_ID();
	if ( empty($id) ) {
		trigger_error( __FUNCTION__ . "(): Couldn't get current post ID", E_USER_WARNING);
		return false;
	}
	$images = get_children(array(
		'numberposts' => 1,
		'post_parent' => $id,
		'post_type' => 'attachment',
		'post_mime_type' => 'image',
	));
	if ( empty($images) ) {
		// Post has no attached images
		return false;
	}
	$image = array_pop($images);
	$output = wp_get_attachment_image($image->ID, $size);
	if ( empty($output) ) {
		trigger_error( __FUNCTION__ . "(): Couldn't print image for attachment #{$image->ID}", E_USER_WARNING);
		return false;
	}
	echo $output;
}

// Post Attachment image function. Image URL for CSS Background. 
function the_post_image_url($size2 = 'thumbnail') {
	$id2 = get_the_ID();
	if ( empty($id2) ) {
		trigger_error( __FUNCTION__ . "(): Couldn't get current post ID", E_USER_WARNING);
		return false;
	}
	$images2 = get_children(array(
		'numberposts' => 1,
		'post_parent' => $id2,
		'post_type' => 'attachment',
		'post_mime_type' => 'image',
	));
	if ( empty($images2) ) {
		// Post has no attached images
//		echo bloginfo('template_directory') . "/images/no-image200.jpg";
		return false;
	}
	$image2 = array_pop($images2);
	$output2 = wp_get_attachment_url($image2->ID, $size2);
	if ( empty($output2) ) {
		trigger_error( __FUNCTION__ . "(): Couldn't print image for attachment #{$image->ID}", E_USER_WARNING);
		return false;
	}
	echo $output2;
}

function my_excerpts($content = false) {

// If is the home page, an archive, or search results
	if(is_front_page() || is_archive() || is_search()) :
		global $post;
		$content = $post->post_excerpt;
			$content = $post->post_content;
			$content = strip_shortcodes($content);
			$content = str_replace(']]>', ']]&gt;', $content);
			$content = strip_tags($content);
			$excerpt_length = 55;
			$words = explode(' ', $content, $excerpt_length + 1);
			if(count($words) > $excerpt_length) :
				array_pop($words);
				array_push($words, '...');
				$content = implode(' ', $words);
			endif;
			$content = '<p>' . $content . '</p>';

//		endif;
	endif;

// Make sure to return the content
	return $content;

}	

function my_master($content = false) {

// If is the home page, an archive, or search results
	if(is_front_page() || is_archive() || is_search()) :
		global $post;
		$content = $post->post_excerpt;

			$content = $post->post_content;
			$content = strip_shortcodes($content);
			$content = str_replace(']]>', ']]&gt;', $content);
			$content = strip_tags($content);
			$excerpt_length = 25;
			$words = explode(' ', $content, $excerpt_length + 1);
			if(count($words) > $excerpt_length) :
				array_pop($words);
				array_push($words, '...');
				$content = implode(' ', $words);
			endif;
			$content = '<p>' . $content . '</p>';
	endif;

// Make sure to return the content
	return $content;

}	


//Theme Options Page
include_once(TEMPLATEPATH . '/inc/theme-options.php');

do_action_ref_array('sidebars_widgets', array('Footer Center', array('Recent Comments')));

/*
 * Fix the extra 10 pixel width issue for image captions
 */
add_shortcode('wp_caption', 'fixed_img_caption_shortcode');
add_shortcode('caption', 'fixed_img_caption_shortcode');
function fixed_img_caption_shortcode($attr, $content = null) {
	// Allow plugins/themes to override the default caption template.
	$output = apply_filters('img_caption_shortcode', '', $attr, $content);
	if ( $output != '' ) return $output;
	extract(shortcode_atts(array(
		'id'=> '',
		'align'	=> 'alignnone',
		'width'	=> '',
		'caption' => ''), $attr));
	if ( 1 > (int) $width || empty($caption) )
	return $content;
	if ( $id ) $id = 'id="' . esc_attr($id) . '" ';
	return '<div ' . $id . 'class="wp-caption ' . esc_attr($align)
	. '" style="width: ' . ((int) $width) . 'px">'
	. do_shortcode( $content ) . '<p class="wp-caption-text">'
	. $caption . '</p></div>';
}
    function my_new_contactmethods( $contactmethods ) {
    // Add Twitter
    $contactmethods['twitter'] = 'Twitter';
    //add Facebook
    $contactmethods['facebook'] = 'Facebook';

    return $contactmethods;
    }
    add_filter('user_contactmethods','my_new_contactmethods',10,1);	
// Gravatar as Favicon
function wnc_favicon_gravatar($email, $size = '16', $rating = 'g', $default = 'identicon' ) {
	$url = "http://www.gravatar.com/avatar/";
	$url.= md5($email)."jpg";
	$url.= "?s=".$size;
	$url.= "&r=".strtolower($rating);
	$url.= "&d=".$default;
	
	return $url;
}

// HEAD
define('HEADER_IMAGE', '%s/images/header.jpg'); // %s is theme dir uri
define('HEADER_IMAGE_WIDTH', 620);
define('HEADER_IMAGE_HEIGHT', 100);
define('HEADER_TEXTCOLOR', 'FFF');

function admin_header_style() { ?>
<style type="text/css">
#headimg, #header {
        background: #FC5511 url(<?php header_image(); ?>) 0 0 no-repeat;
        height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
        width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
        position: relative;
}
<?php if ( 'blank' == get_header_textcolor() ) { ?>

#header h1, #headimg h1 {
        display: none;
}

<?php }else{ ?>

#header h1, #headimg h1 {
}
#header .description, #headimg #desc {
}
<?php } ?>

</style>

<?php }

function header_style() { ?>

<style type="text/css">
#header, #head {
	background: #FC5511 url(<?php header_image(); ?>) 0 0 no-repeat;
	height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
    width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
    position: relative;
}

<?php if ( 'blank' == get_header_textcolor() ) { ?>

#header h1, #head h1 {
        display: none;
}

<?php }else{ ?>
#header, #head {
}
#header h1  a:link,#header h1  a:visited, #head h1  a:link,#head h1  a:visited {
}
#header .description {
}
<?php } ?>
</style>

<?php }

if ( function_exists('add_custom_image_header') ) {
  add_custom_image_header('header_style', 'admin_header_style');
} 

function widodo_posted_on() {
?>
<div class="count"><?php comments_popup_link('0', '1', '%'); ?></div>
   	  <span class="authr">Posted <span class="date"><?php the_time('d M Y') ?></span> &#8212; by <?php the_author_posts_link(); ?><br />Category <?php the_category(', ') ?><?php edit_post_link('Edit', ' <span class="editr">', '</span>'); ?></span>
<?php
}
function widodo_posted_format() {
?>
<span class="authr">Posted <span class="date"><?php the_time('d M Y') ?></span> &#8212; by <?php the_author_posts_link(); ?><br />Category <?php the_category(', ') ?><?php edit_post_link('Edit', ' <span class="editr">', '</span>'); ?></span>
<?php
}
function widodo_posted_in() {
	// Retrieves tag list of current post, separated by commas.
	$tag_list = get_the_tag_list( '', ', ' );
	if ( $tag_list ) {
		$posted_in = __( 'This entry was posted in %1$s and tagged %2$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'widodo' );
	} elseif ( is_object_in_taxonomy( get_post_type(), 'category' ) ) {
		$posted_in = __( 'This entry was posted in %1$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'widodo' );
	} else {
		$posted_in = __( 'Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'widodo' );
	}
	// Prints the string, replacing the placeholders.
	printf(
		$posted_in,
		get_the_category_list( ', ' ),
		$tag_list,
		get_permalink(),
		the_title_attribute( 'echo=0' )
	);
}
//Widgets
include_once(TEMPLATEPATH . '/inc/widgets.php');
?>